Page MenuHomePhabricator

[EPIC] Most wanted articles tool
Closed, DeclinedPublic8 Story Points

Description

A tool that lists the articles that have been linked to most.
http://enwp.org/WP:WANTED

This has been on my todo list since 2015 for my personal tools. I feel this might roll over better into XTools because it is statistics analysis.

At its basic form, it would be implemented as the other tools under the uri "/wanted" and "/wanted/{project}" - I assume we should show an arbitrary (50? 100?) of the top wanted articles.

As a future feature, add the ability to sort it down basted on the article title and/or time.

Event Timeline

Matthewrbowker renamed this task from [EPIC] A tool that lists the articles that have been linked to most. http://enwp.org/WP:WANTED to [EPIC] Most wanted articles tool.Aug 11 2017, 8:46 PM
Matthewrbowker created this task.
MusikAnimal added a subscriber: MusikAnimal.EditedAug 11 2017, 8:58 PM

The query used by Special:WantedPages, modified to only check the mainspace, and only pages with > 10,000 incoming links:

SELECT pl_namespace AS namespace, pl_title AS title, COUNT(*) AS value
FROM pagelinks
LEFT JOIN page AS pg1 ON (pg1.page_namespace = pl_namespace AND pg1.page_title = pl_title)
LEFT JOIN page AS pg2 ON (pg2.page_id = pl_from)
WHERE pg1.page_namespace IS NULL
AND pl_namespace = 0
GROUP BY pl_namespace, pl_title
HAVING COUNT(*) > 10000 AND COUNT(*) > SUM(pg2.page_is_redirect)

this scans 528,072,965 rows (!!!). As such I'm not sure this will work as an on-demand service :( If we are able to improve the query or solution overall, we might consider working on Special:WantedPages itself.

SoWhy added a subscriber: SoWhy.Aug 21 2017, 9:03 AM

Sounds like a task for a bot, no? Running such a bot once a day should be sufficient since the list probably does not have to be dynamic, does it? https://en.wikipedia.org/wiki/Wikipedia:Bot_requests seems to be the better venue

Sounds like a task for a bot, no? Running such a bot once a day should be sufficient since the list probably does not have to be dynamic, does it?

Correct, but the existing Special:WantedPages sucks and everyone knows it, so we might focus our efforts there rather than create a bot task. The core feature is also precomputed via cron or something. I would create a task to get input first, but I bet everyone would be OK if it only accounted for the mainspace. At the very least, it should not account for transclusions -- which is why some articles like "HaRav Meir Shehenboim (Etz Hadar)" show up -- because they're in the "To-dos" in the WikiProject banner template.

Yep, fixing the existing Special:WantedPages seems far smarter.

Yep, fixing the existing Special:WantedPages seems far smarter.

Do you know of a task for that? If not, I'll file one.

Meanwhile, it seems consensus stands to fix Special:WantedPages rather than implementing in XTools. @MusikAnimal @Samwilson any objections to closing this task?

Matthewrbowker closed this task as Declined.Aug 22 2017, 8:29 PM
Matthewrbowker moved this task from Inbox to Complete on the XTools board.
Matthewrbowker moved this task from Inbox to Accepted on the User-Matthewrbowker board.
SoWhy removed a subscriber: SoWhy.Aug 23 2017, 6:44 AM